import {Component, Input, OnInit} from '@angular/core';
import {Router} from '@angular/router';
import {ApiService} from '../../service/api.service';

@Component({
  selector: 'app-option-picker',
  templateUrl: './option-picker.component.html',
  styleUrls: ['./option-picker.component.scss'],
})
export class OptionPickerComponent implements OnInit {
  @Input() toggleDark: () => void;
  @Input() isDark: () => boolean;

  constructor(
      protected api: ApiService,
      protected router: Router,
  ) { }

  ngOnInit() {}

  onSelect(key) {
    if ( key === 'html_export' ) {
      window.open(this.api._build_url('/data/export/html'), '_blank');
    } else if ( key === 'logout' ) {
      window.location.href = '/auth/logout';
    } else if ( key === 'toggle_darkmode' ) {
      this.toggleDark();
    }
  }
}
